Description

Hi,

I load composition modele (.qpt) made with QGIS 1.8 in the composer of Qgis 2.1 but it seems there are some bugs (there were also

these bugs with 1.9 and 2.0).

As you can see on jointed pictures, frames used for title blocks lose their backgrounds and their contours when i load the modele in 2.1

composer.

Furthermore, i can't change properties once I have loaded modele. As you can see on jointed pictures, even if I click on:

    -  "frame color" / black, red, 

    -  or "frame size" / 0.1, 1, 2 

    -  or on "background color" / black, red, ...

It doesn't change anything. Transparency stays.

If I create new frames it works perfectly...

But I have a lot of modeles with many frames...

Thank you very much

Wonderful Qgis.

Associated revisions

Revision 476faee2 - 2014-06-07 08:43 AM - Nyall Dawson

[composer] Correctly handle shape frame and backgrounds from pre 2.0 projects (fix #8597)

History

#1 - 2013-09-11 07:27 AM - Benoît Couillet

- File MODELE_QGIS_A1_portrait.qpt added

I add a modele of composer made with Qgis 1.8.

#2 - 2013-09-11 07:35 AM - Jürgen Fischer

- Subject changed from modele of composition made in 1.8 incompatible with composer in 2.1 to model of composition made in 1.8 incompatible with 

composer in 2.1
#3 - 2014-06-07 12:25 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"476faee22355b4d1deecca35a3eb7b263cab1e6a".

Files

Qgis1.8.0-MEP.jpg 677 KB 2013-09-11 Benoît Couillet

Qgis2.1.0-MEP.jpg 1 MB 2013-09-11 Benoît Couillet

MODELE_QGIS_A1_portrait.qpt 28.7 KB 2013-09-11 Benoît Couillet
